
From: Roland Dreier <roland@topspin.com>

Have MAP_ICM_page() firmware command map assume pages are always the
HCA-native 4K size rather than using the kernel's page size.  This
will make handling doorbell pages for mem-free mode simpler.

Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/hw/mthca/mthca_cmd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/infiniband/hw/mthca/mthca_cmd.c~ib-mthca-tweak-map_icm_page-firmware-command drivers/infiniband/hw/mthca/mthca_cmd.c
--- 25/drivers/infiniband/hw/mthca/mthca_cmd.c~ib-mthca-tweak-map_icm_page-firmware-command	2005-03-03 17:40:06.000000000 -0800
+++ 25-akpm/drivers/infiniband/hw/mthca/mthca_cmd.c	2005-03-03 17:40:06.000000000 -0800
@@ -1290,7 +1290,7 @@ int mthca_MAP_ICM_page(struct mthca_dev 
 		return -ENOMEM;
 
 	inbox[0] = cpu_to_be64(virt);
-	inbox[1] = cpu_to_be64(dma_addr | (PAGE_SHIFT - 12));
+	inbox[1] = cpu_to_be64(dma_addr);
 
 	err = mthca_cmd(dev, indma, 1, 0, CMD_MAP_ICM, CMD_TIME_CLASS_B, status);
 
_
